#!/bin/bash

sudo docker build -t urdf_creation \
    --build-arg USER_UID=$(id -u) \
    --build-arg USER_GID=$(id -g) \
    ./.docker

echo 

sudo docker run -it -u $(id -u) \
    --privileged \
    --network host \
    --env="QT_X11_NO_MITSHM=1" \
    -v /tmp/.X11-unix:/tmp/.X11-unix -e DISPLAY=${DISPLAY} \
    -v $(pwd):/workspaces/src/moonshot_franka_description \
    -w /workspaces/src/moonshot_franka_description \
    urdf_creation \
    .docker/visualize_franka.entrypoint.sh arm_id:=moonshot_panda